window.addEventListener('DOMContentLoaded', function(){
	//ヘッダ部分にアイコンとユーザー名・IDを表示
	if($('.dateseparator').length) {
		$("main .dateseparator:first-child+article .icon").clone().prependTo(".header_sub");
		$("main .dateseparator:first-child+article .username").clone().appendTo(".header_sub");
		$("main .dateseparator:first-child+article .postuserid").clone().appendTo(".header_sub");
	}else{
		$("main article:first-child .icon").clone().prependTo(".header_sub");
		$("main article:first-child .username").clone().appendTo(".header_sub");
		$("main article:first-child .postuserid").clone().appendTo(".header_sub");
	};
	//日付境界バー内リンクをロボットにたどらせない
	$('.dateseparator a').each(function() {
		$(this).attr('rel','noindex,nofollow')
	});
	//記事単体表示時のtitle要素・situation行・ページ移動リンク
	if(location.href.match('postid')) {
		var str = $('title').text();
		var res = str.split('-');
		$('title').text($('h2.post_title').text() + ' -' + res[1]);
		$('.situation').text($('h2.post_title').text());
		var prevurl = $('.prevlink').attr('href');
		var nexturl = $('.nextlink').attr('href');
		$('.prevlink').load(prevurl + ' h2.post_title', function() {$('.prevlink').text($(this).text())});
		$('.nextlink').load(nexturl + ' h2.post_title', function() {$('.nextlink').text($(this).text())});
		$('.categorylinks .ucat > a').clone().appendTo($('.pagehome'));
	}
	//smoothscroll
	$(function(){
		var n=$('.go_page_top');
		n.hide(),$(window).scroll(function(){
			$(this).scrollTop()>300?n.fadeIn():n.fadeOut()
		}),
		n.click(function(){return $('body,html').animate({scrollTop:0},500),!1})
	}),
	$(function(){
		if(!($('article, .posterea'))) {
			$('body').on('click','a',function(n){
					var a=$(this),t=a.attr('href');
					if('#'==t.charAt(0,1)){
						n.preventDefault();
						var o=$('#'==t||''==t?$('html'):t);'0'==o.length&&(o=$('html'));
						var e=o.offset().top,i=a.data('scroll');
						return void 0!==i&&(e+=Number(i)),e<=0&&(e=1),
						$('html, body').animate({scrollTop:e},500,'swing'),!1
				}
			})
		}
	});
	//記事Noリンクをクリックしたらポップアップ
	$('body').append($('<div id="popupContent" style="display:none">'));
	$('a.postidlink:not(q.decorationQ a.postidlink)').on('click', function(e) {
		if($(this).attr('href').indexOf('posts') !== -1) {
			return true;
		}
		e.preventDefault();
		var popupID = $(this).attr('href');
		var res = popupID.split('postid=');
		var $popupContent = $('#popupContent');
		if($('#pid' + res[1]).length){
			$popupContent.html($('#pid' + res[1]).clone());
		}else{
			$popupContent.load(popupID + ' ' +  '#pid' + res[1]);
		}
		$popupContent.show();
		return false;
	});
	//ポップアップ以外の部分をクリックしたら非表示
	$(document).on('click touchend', function(event) {
		if (!$(event.target).closest('a.postidlink, #popupContent').length) {
			$('#popupContent').hide();
		}
	});
	//ポップアップ位置をマウスの付近に
	$('a.postidlink').on('mousemove', function(e) {
		$('#popupContent').css({
			'top': e.pageY + 3 + 'px',
		});
	});
	//記事リンク先を引用として表示
	$('q.decorationQ a.postidlink').each(function() {
		$(this).after('<span class="inQ"></span>');
		var link = $(this).attr('href');
		$(this).next('span.inQ').load(link + ' .post_content', function() {
			var text = $(this).text();
			var maxLength = 100; // 表示する最大文字数
		if (text.length > maxLength) {
			text = text.slice(0, maxLength) + '...'; 
		}
		$(this).text(text);
		});
	});
	//mp3mp4埋め込み表示
	$('img[src$=".mp3"]').each(function() {
		var audio = $('<audio controls></audio>');
		audio.attr('src', $(this).attr('src'));
		audio.attr('type', 'audio/mp3');
		$(this).unwrap();
		$(this).replaceWith(audio);
	});
	$('img[src$=".mp4"]').each(function() {
		var video = $('<video controls></video>');
		var source = $('<source>');
		source.attr('src', $(this).attr('src'));
		source.attr('type', 'video/mp4');
		video.append(source);
		$(this).unwrap();
		$(this).replaceWith(video);
	});
	//タイトルとURLをコピー
	var clipboard = new ClipboardJS('.copy');
	clipboard.on('success', function(e) {
		$(e.trigger.nextElementSibling).fadeIn().delay(1000).fadeOut();
	});
	//クイックポスト
	//ワンクリックレス記入
	var textarea = $('.tegalogpost');
	$('.resbutton').on('click', function(){
		var inputVal = $(this).val()+'\n';
		textarea.focus().val(textarea.val() + inputVal);
	});
	//画像一覧を開くボタン追加
	$('.postarea').prepend('<button id="imglistButton">画像一覧</button>','<button id="emojilistButton">カスタム絵文字一覧</button>','<div id="imglistPOPUP">');
	$('#imglistPOPUP').css({
		padding:'1em',
		background:'white',
		width:'500px',
		height:'500px',
		overflow:'auto',
		position:'absolute',
		right:'1.5em',
		'z-index':'3'
	});
	$('#imglistPOPUP').hide();
	$('#imglistButton').on('click', function(){
		var url = '?mode=admin&work=images';
		$('#imglistPOPUP').load(url + ' ' +  'table.images');
		$('#imglistPOPUP').toggle();
	});
	$('#emojilistButton').on('click', function(){
		var url = '?mode=admin&work=cemoji';
		$('#imglistPOPUP').load(url + ' ' +  '#CemojiList');
		$('#imglistPOPUP').toggle();
	});
	//直近のつぶやきは相対時間を表示
	var now = new Date();
	var now = now.getTime();
	$('.postdate').each(function() {
		var time = $(this).attr('datetime');
		var post = new Date(time);
		var post = post.getTime();
		if((now - post) < (48*60*60*1000)) {
			$(this).children(".posttime").hide();
		}else{
			$(this).children(".relativetime").hide();
		}
	});
	//いいねボタン・改用
	$(".favorite button").click(function() {
		$(this).toggleClass("clicked");
	});
	//外部リンク（href属性値がhttpで始まるもの）は別窓で開く
	$('.post_content a[href^="http"]').attr('target','_blank');
});
